Skip to main content
`Ctrl`+`K`

# SVDCyclicSetExplicitMatrix

Indicate if the eigensolver operator \(H(A)=\begin{bmatrix}0&A\\A^*&0\end{bmatrix}\) must be computed explicitly.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCyclicSetExplicitMatrix(SVD svd,PetscBool explicitmat)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- explicitmat - `PETSC_TRUE` if \(H(A)\) must be built explicitly

## Options Database Key

- -svd_cyclic_explicitmatrix - toggle the explicit construction of the matrix

## Notes

In GSVD and HSVD the equivalent eigenvalue problem has generalized form, and hence two matrices are built. See Mathematical Background for details.

By default the matrices are not built explicitly, but handled as shell matrices, see `MATSHELL`.

## See Also

SVD: Singular Value Decomposition, Mathematical Background, `SVDCYCLIC`, `SVDCyclicGetExplicitMatrix()`, `MATSHELL`

## Level

advanced

## Location

src/svd/impls/cyclic/cyclic.c

## Implementations

SVDCyclicSetExplicitMatrix_Cyclic() in src/svd/impls/cyclic/cyclic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages